// Generated by https://quicktype.io

class Financings {

  List<Financing> items = [];

  Financings();

  Financings.fromJsonList( List<dynamic> jsonList){
    if(jsonList == null) return;

    for(var item in jsonList) {
      final financing = new Financing.fromJsonMap(item);
      this.items.add(financing);
    }
  }

}

class Financing {
  
  int id;
  String name;
  String description;
  String link;
  String image;
  dynamic imageResource;
  String createdAt;
  String updatedAt;
  dynamic deletedAt;
  int userId;

  Financing({
    this.id,
    this.name,
    this.description,
    this.link,
    this.image,
    this.imageResource,
    this.createdAt,
    this.updatedAt,
    this.deletedAt,
    this.userId,
  });

  Map toJson() => {
    'id' : id,
    'name' : name,
    'description' : description,
    'link' : link,
    'user_id' : userId,
  };

  Financing.fromJsonMap(Map<String, dynamic> json){
    id             = json['id'];
    name           = json['name'];
    description    = json['description'];
    image          = json['image'];
    link           = json['link'];
    imageResource  = json['image_resource'];
    createdAt      = json['created_at'];
    updatedAt      = json['updated_at'];
    userId         = json['user_id'];
  }

   getImg(){

    if(imageResource == null) return 'https://imgclasificados5.emol.com/Publicador/116/F11922917111412972471611595531933226122116.png';
    
    return 'http://tutorial-tahiti.000webhostapp.com/${this.imageResource}';
  }
}
